DCMTK - Bug #1051

DcmSCP::setRespondWithCalledAETitle() does not work when parameter "useCalled" is OFFalse
2022-12-04 17:46 - Jorg Riesmeier

Status: Closed Start date: 2022-12-04
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.8

Module: dcmnet Compiler:

Operating System:

Description

It seems that DcmSCP::setRespondWithCalledAETitle() does not work properly when parameter "useCalled" is set to OFFalse. In
this case, the AE Title specified for the SCP should be used and the Association should (?) be rejected if the SCU calls the SCP with
a different AE Title.

Also the current implementation of dcmrecv's -aet option (which is used by default) and the underlying ASC_setAPTitles() should be
checked...

Tested with DCMTK 3.6.7.

Related issues:

Related to DCMTK - Feature #1039: What is the purpose of storescp's -aet option? New 2022-10-13
Related to DCMTK - Bug #1048: Incorrect output of "Responding AE Title" in A... Closed 2022-11-25
History

#1 - 2022-12-04 17:47 - J6rg Riesmeier
- Related to Feature #1039: What is the purpose of storescp's -aet option? added

#2 - 2022-12-04 17:47 - J6rg Riesmeier
- Related to Bug #1050: Possibly wrong use of Source Application Entity Title (0002,0016) added

#3 - 2022-12-04 17:48 - Jorg Riesmeier
- Related to deleted (Bug #1050: Possibly wrong use of Source Application Entity Title (0002,0016))

#4 - 2022-12-04 17:48 - Jorg Riesmeier
- Related to Bug #1048: Incorrect output of "Responding AE Title" in A-ASSOCIATE Request added

#5 - 2022-12-05 10:46 - Jorg Riesmeier

- Description updated

#6 - 2023-01-16 15:34 - Jorg Riesmeier

- Assignee set to Michael Onken

#7 - 2023-02-14 09:43 - Michael Onken

- Status changed from New to Closed

Closed with commit 6322493857d85711370d086146836f6cfe74257e.
